%{?nodejs_find_provides_and_requires}
%global packagename balanced-match
%global enable_tests 1
Name:		nodejs-balanced-match
Version:	1.0.0
Release:	1
Summary:	Match balanced character pairs, like "{" and "}"
License:	MIT
URL:		https://github.com/juliangruber/balanced-match.git
Source0:	https://github.com/juliangruber/balanced-match/archive/v%{version}.tar.gz
ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(tape)
%endif
%description
Match balanced character pairs, like "{" and "}"

%prep
%autosetup -n balanced-match-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/test.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 1.0.0-1
- Package init
